--- title: "Request inspection item inspection" slug: "management-cloud-advisor-refresh" tags: ["Cloud Advisor"] updated: 2026-09-17T10:05:38Z published: 2026-09-17T10:05:38Z canonical: "api.ncloud-docs.com/management-cloud-advisor-refresh" --- > ## Documentation Index > Fetch the complete documentation index at: https://api.ncloud-docs.com/llms.txt > Use this file to discover all available pages before exploring further. # Request inspection item inspection Available in VPC Request inspection of an inspection item. ## Request This section describes the request format. The method and URI are as follows: | Method | URI | | --- | --- | | POST | /api/v1/categories/{categoryCode}/checkitems/{itemCode}/refresh | ### Request headers For information about the headers common to all Cloud Advisor APIs, see [Cloud Advisor request headers](/docs/en/management-cloud-advisor-overview#%EC%9A%94%EC%B2%AD%ED%97%A4%EB%8D%94). ### Request path parameters You can use the following path parameters with your request: | Field | Type | Required | Description | | --- | --- | --- | --- | | `categoryCode` | String | Required | Inspection category code - `SECURITY` \| `COST` - `SECURITY`: security category - `COST`: expense and high availability category | | `itemCode` | String | Required | Inspection item code - See [Inspection item code](/docs/en/management-cloud-advisor-overview#CloudAdvisor%EC%A0%90%EA%B2%80%ED%95%AD%EB%AA%A9). | ### Request example The request example is as follows: ``` curl --location --request POST 'https://cloud-advisor.apigw.ntruss.com/api/v1 /categories/{categoryCode}/checkitems/{itemCode}/refresh' \ --header 'x-ncp-apigw-timestamp: {Timestamp}' \ --header 'x-ncp-iam-access-key: {Access Key}' \ --header 'x-ncp-apigw-signature-v2: {API Gateway Signature}' \ --data '{ }' ``` ## Response This section describes the response format. ### Response body The response body includes the following data: | Field | Type | Required | Description | | --- | --- | --- | --- | | `result` | String | - | API processing result - `SUCCESS` \| `FAIL` - `SUCCESS`: succeeded - `FAIL`: failed | | `contents` | Object | - | Checklist | | `contents.itemCode` | String | - | Inspection item code | | `contents.timeToRefresh` | Long | - | Next available inspection date and time - Unix timestamp format | | `contents.lastRequestTime` | Long | - | Last inspection date and time - Unix timestamp format | | `contents.status` | String | - | Inspection status - `NONE` \| `ENQUEUED` \| `PROCESSING` \| `DONE` \| `FAIL` - `NONE`: inspection request available - `ENQUEUED`: inspection pending - `PROCESSING`: inspection in progress - `DONE`: inspection request completed. Need to wait for the next request. - `FAIL`: inspection requested failed | | `contents.requestSuccess` | String | - | Inspection request success status - `true` \| `false` - `true`: succeeded - `false`: unavailable | ### Response status codes For response status codes common to all Cloud Advisor APIs, see [Cloud Advisor response status codes](/docs/en/management-cloud-advisor-overview#%EC%9D%91%EB%8B%B5%EC%83%81%ED%83%9C%EC%BD%94%EB%93%9C). ### Response example The response example is as follows: ``` { "result": "SUCCESS", "contents": { "itemCode": "SUB_ACCOUNT_USE", "timeToRefresh": 1743953713837, "lastRequestTime": 1743952813837, "status": "ENQUEUED", "requestSuccess": true } } ```